/* $Id: cfg_smtp.h,v 1.4 2000/05/07 21:01:36 dps Exp $ */
/* Email configuration */

#ifndef __CFG_SMTP_H__
#define __CFG_SMTP_H__ 1

/* Recipients. Make sure you edit this! Multiple recipients OK */
#define RECIPIENTS "root@localhost"
/* Example: for you@here.dom and you@there.dom say
 * #define RECIPIENTS "you@here.dom", "you@there.dom"
 * (which might be subject to relaying restrictions).
 */

/* define this to use gethostbyname(). Sounds like a bad idea to me...
 * (remember that the cracker has obtained root access and modified ps or
 * libc so it seems that this sort of thing might be a bad idea). Explicit
 * IP numbers seem safer as hacked inet_aton() would have adverse affects on
 * cracker's activities in ways hacked named db files do not). */
#undef USE_GETHOST
#undef SMTP_MACHINE

/* Machine name if USE_GETHOST is defined (see security note above) */
/* #define MACHINE localhost */
/* Be ware you *MUST* uncomment the line above or else compilatioon will
   bomb out in log_email.c */

/* Sender. Make this innocuous. */
#define SENDER MAILER-DAEMON@localhost

/* Subject of the message. Make it innocous */
#define SUBJECT problem report

/* Machine address if USE_GETHOST is undefined */
/* #define ADDR 127.0.0.1 */

/* SMTP IP PORT */
#ifdef IPPORT_SMTP
#define SMTP_PORT IPPORT_SMTP
#else
#define SMTP_PORT 25
#endif

/* TIMEOUT for SMTP response waiting */
#define TIMEOUT 300		/* 5 minutes */
/* N.B. I know 5 minutes violates the RFC minima but too big a value might
 * make it likely someone typing netstat would notice the mail connection and
 * the subdefuge value of mailing the admin without appearing in the logs
 * would be blown... (RFC purists might want to fix this) */

#endif /* __CFG_SMTP_H__ */
