/* $Id: whitespace.c,v 1.1 2000/05/22 18:27:06 dps Exp $ */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */
#ifdef HAVE_CTYPE_H
#include <ctype.h>
#endif /* HAVE_CTYPE_H */
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif /* HAVE_STDIO_H */
#include "libdetail/detail.h"
#include "prog.h"

/* Absorb white space */
int absorb_ws(FILE *in)
{
    int c;
    int nws=0;

    c=fgetc(in);
    while (c!=EOF && isspace(c))
    {
	if (c=='\n')
	    break;		/* Success */
	if (++nws>MAX_WS)	/* Anti-DOS paranioa */
	{
	    log("Cracking detected: %d cosequtive white space characters", nws);
	    return -1;		/* Failure */
	}
	c=fgetc(in);
    }
    ungetc(c, in);
    return nws;			/* Return white space count */
}

/* Could implement this was check_fmt(in, "!\n" but that seems OTT) */
extern int check_eol(FILE *in)
{
    int c;

    if (absorb_ws(in)==-1)		/* Absorb option non-\n white space */
	return 0;
    if ((c=fgetc(in))!='\n')
    {
	ungetc(c, in);			/* Pussh back c */
	return 0;			/* No match */
    }
    return 1;				/* Match */
}
