/* $Id$ */
/* Check time is strictly monotone increasing. */
#include "config.h"
#ifdef HAVE_TIME_H
#include <time.h>
#endif /* HAVE_TIME_H */
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#endif /* HAVE_SYS_TIME_H */
#include "prog.h"

/* FIXME:this file not Y 2.038K compliant */

static time_t now;		/* Time I last looked */

void fix_time(void)
{
    now=time(NULL);
}

/* Check time is sensible---will catch people suspending checkps and
 * twiddling the time. */
void check_time(int min, int max)
{
    time_t tim;

    tim=time(NULL);
    if (tim<now+min || tim>now+max)
    {
	log("Suspect time activity: Excepted %lu, saw %lu\n",
	    (unsigned long) now+min, (unsigned long) tim);
    }
    now=tim;
}
