/* $Id: numbers.c,v 1.1 2000/05/22 18:27:06 dps Exp $ */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */
#ifdef HAVE_CTYPE_H
#include <ctype.h>
#endif /* HAVE_CTYPE_H */
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif /* HAVE_STDIO_H */
#include "libdetail/detail.h"
#include "prog.h"

/* Read +ve decimal number */
int readdec(FILE *in, int *dc)
{
    int c, digits=0, n=0;

    for (c=fgetc(in); (isdigit(c)); c=fgetc(in))
    {
	if (++digits>DEC_MAXDIGIT) /* Anti-DOS paranoia */
	{
	    log("Cracking detected: %d consequtive digits",
		digits);
	    ungetc(c, in);
	    return -1;		/* Abbormal return */
	}
	n=n*10+c-'0';
    }
    ungetc(c, in);
    *dc=digits;
    return n;
}

/* Read in a hex number and count the digits */
unsigned int readhex(FILE *in, int *dc)
{
    unsigned int res=0, digit;
    int digits=0;
    int c;

    for (c=fgetc(in);
	 ((c>='0' && c<='9') || (c>='A' && c<='F') || (c>='a' && c<='f'));
	 c=fgetc(in))
    {
	if (++digits>HEX_MAXDIGIT) /* Anti-DOS attack paranoia */
	{
	    log("Hacked /proc detected: %d consecutive hex digits read", digits);
	    return res;		/* Only least significant digits */
	}
	digit=toupper(c)-'0';
	if (digit>=10)
	    digit-=('A'-'9'-1);
	res=res*16+digit;
    }
    ungetc(c, in);
    *dc=digits;
    return res;
}
